module cairo_support;

import tk.geometry;

import cairo.Context;

void rectangle(Context cr, Point corner1, Point corner2) {
    double x = corner1.x;
    double y = corner1.y;
    double w = corner2.x - corner1.x;
    double h = corner2.y - corner1.y;

    if (w < 0.0) { x += w; w = -w; }
    if (h < 0.0) { y += h; h = -h; }

    //writefln("Rect: %f %f %f %f\n", x, y, w, h);

    cr.rectangle(x, y, w, h);
}

