module gui;

import canvas;
import tool_stack;
import tool;
import standard_tools;

import gtk.Main;
import gtk.MainWindow;

import tk.geometry;
import tk.types;
import tk.events;

import std.stdio;
import tk.geometry;

void main(string[] args) {
    Main.init(args);
    auto window = new MainWindow("Title");
    Tool[] tools;
    tools ~= new PanTool;
    tools ~= new ZoomTool;
    auto event_handler = new ToolStack(tools);
    auto canvas = new Canvas(event_handler);
    window.add(canvas);
    window.showAll();
    Main.run();

    /*
    Point p3 = Point.DEFAULT;

    Point p1 = Point(3.0, 5.0);
    writefln("%s", p1);

    Point p2 = Point(1.0, 2.0);
    writefln("%s", p2);

    writefln("%s", p1 - p2);

    Rectangle r = Rectangle(p1, p2);
    writefln("%s", r);
    */
}
